      program read

      real sdex(21)

C  ICs: June 19-30, July 1-9  (total 21 ICs))
C  4 runs for each initial date
C  Total 21 x 4 (84) ensemble members
C  2010 ASO SST index

      open(11,file='dex2_sstASO2010_ic06_4x')

      open(21,file='dex2_sstASO2010_ic06_4x.gr',
     1 form='unformatted',access='direct',recl=21*4)

      do id=1,4
      read(11,444) iyear, (sdex(k),k=1,21)
444   format(I4,2x,21f7.2)

      print *, sdex(3),sdex(19)

      read(21,rec=id) (sdex(k),k=1,21)
      
      print *, sdex(3),sdex(19)

      end do
      
      stop
      end

